Table of Contents

Class: DefaultOpenSSLContextFactory | Twisted-0.19.0/twisted/internet/ssl.py
--- | ---
Base Classes |
--- | ---
ContextFactory
Methods |
--- | ---
__getstate__ __init__ __setstate__ cacheContext getContext
| __getstate__
    __getstate__ ( self )
| __init__
    __init__ (
            self,
            privateKeyFileName,
            certificateFileName,
            sslmethod=SSL.SSLv3_METHOD,
            )
| __setstate__
    __setstate__ ( self,  state )
| cacheContext
    cacheContext ( self )
| getContext
    getContext ( self )
Create an SSL context.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0